namespace elm { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::id_get() const
{
   const char * __return_value =  ::elm_obj_systray_id_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::id_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type id) const
{
    ::elm_obj_systray_id_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(id));
}
inline ::efl::eolian::return_traits<Elm_Systray_Category>::type Systray::category_get() const
{
   Elm_Systray_Category __return_value =  ::elm_obj_systray_category_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Systray_Category>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::category_set( ::efl::eolian::in_traits<Elm_Systray_Category>::type cat) const
{
    ::elm_obj_systray_category_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Systray_Category,  ::efl::eolian::in_traits<Elm_Systray_Category>::type>(cat));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::icon_theme_path_get() const
{
   const char * __return_value =  ::elm_obj_systray_icon_theme_path_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::icon_theme_path_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type icon_theme_path) const
{
    ::elm_obj_systray_icon_theme_path_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(icon_theme_path));
}
inline ::efl::eolian::return_traits< ::eo::Base>::type Systray::menu_get() const
{
    ::Eo_Base const* __return_value =  ::elm_obj_systray_menu_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::eo::Base>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::menu_set( ::efl::eolian::in_traits< ::eo::Base>::type menu) const
{
    ::elm_obj_systray_menu_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Eo_Base const*,  ::efl::eolian::in_traits< ::eo::Base>::type>(menu));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::att_icon_name_get() const
{
   const char * __return_value =  ::elm_obj_systray_att_icon_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::att_icon_name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type att_icon_name) const
{
    ::elm_obj_systray_att_icon_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(att_icon_name));
}
inline ::efl::eolian::return_traits<Elm_Systray_Status>::type Systray::status_get() const
{
   Elm_Systray_Status __return_value =  ::elm_obj_systray_status_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Systray_Status>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::status_set( ::efl::eolian::in_traits<Elm_Systray_Status>::type st) const
{
    ::elm_obj_systray_status_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Systray_Status,  ::efl::eolian::in_traits<Elm_Systray_Status>::type>(st));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::icon_name_get() const
{
   const char * __return_value =  ::elm_obj_systray_icon_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::icon_name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type icon_name) const
{
    ::elm_obj_systray_icon_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(icon_name));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::title_get() const
{
   const char * __return_value =  ::elm_obj_systray_title_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::title_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type title) const
{
    ::elm_obj_systray_title_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(title));
}
inline ::efl::eolian::return_traits<bool>::type Systray::cxx_register() const
{
   Eina_Bool __return_value =  ::elm_obj_systray_register(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::id_get() const
{
   const char * __return_value =  ::elm_obj_systray_id_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::id_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type id) const
{
    ::elm_obj_systray_id_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(id));
}
inline ::efl::eolian::return_traits<Elm_Systray_Category>::type Systray::category_get() const
{
   Elm_Systray_Category __return_value =  ::elm_obj_systray_category_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Systray_Category>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::category_set( ::efl::eolian::in_traits<Elm_Systray_Category>::type cat) const
{
    ::elm_obj_systray_category_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Systray_Category,  ::efl::eolian::in_traits<Elm_Systray_Category>::type>(cat));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::icon_theme_path_get() const
{
   const char * __return_value =  ::elm_obj_systray_icon_theme_path_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::icon_theme_path_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type icon_theme_path) const
{
    ::elm_obj_systray_icon_theme_path_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(icon_theme_path));
}
inline ::efl::eolian::return_traits< ::eo::Base>::type Systray::menu_get() const
{
    ::Eo_Base const* __return_value =  ::elm_obj_systray_menu_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::eo::Base>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::menu_set( ::efl::eolian::in_traits< ::eo::Base>::type menu) const
{
    ::elm_obj_systray_menu_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Eo_Base const*,  ::efl::eolian::in_traits< ::eo::Base>::type>(menu));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::att_icon_name_get() const
{
   const char * __return_value =  ::elm_obj_systray_att_icon_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::att_icon_name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type att_icon_name) const
{
    ::elm_obj_systray_att_icon_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(att_icon_name));
}
inline ::efl::eolian::return_traits<Elm_Systray_Status>::type Systray::status_get() const
{
   Elm_Systray_Status __return_value =  ::elm_obj_systray_status_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Systray_Status>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::status_set( ::efl::eolian::in_traits<Elm_Systray_Status>::type st) const
{
    ::elm_obj_systray_status_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Systray_Status,  ::efl::eolian::in_traits<Elm_Systray_Status>::type>(st));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::icon_name_get() const
{
   const char * __return_value =  ::elm_obj_systray_icon_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::icon_name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type icon_name) const
{
    ::elm_obj_systray_icon_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(icon_name));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Systray::title_get() const
{
   const char * __return_value =  ::elm_obj_systray_title_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Systray::title_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type title) const
{
    ::elm_obj_systray_title_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(title));
}
inline ::efl::eolian::return_traits<bool>::type Systray::cxx_register() const
{
   Eina_Bool __return_value =  ::elm_obj_systray_register(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline elm::Systray::operator ::elm::Systray() const { return *static_cast< ::elm::Systray const*>(static_cast<void const*>(this)); }
inline elm::Systray::operator ::elm::Systray&() { return *static_cast< ::elm::Systray*>(static_cast<void*>(this)); }
inline elm::Systray::operator ::elm::Systray const&() const { return *static_cast< ::elm::Systray const*>(static_cast<void const*>(this)); }
} }

